x = <<EOF
STYPE_UNSET	0	The string property type is unknown.
STYPE_SEND	1	The string property type used to change a string value of a template (TCP, HTTP, HTTPS).
STYPE_GET	2	The string property type used to change a string value of a template (HTTP, HTTPS, FTP).
STYPE_RECEIVE	3	The string property type used to change a string value of a template (TCP, HTTP, HTTPS).
STYPE_USERNAME	4	The string property type used to change a string value of a template (HTTP, HTTPS, NNTP, FTP, POP3, SQL, IMAP, RADIUS, RADIUS_ACCOUNTING, LDAP, WMI, SIP).
STYPE_PASSWORD	5	The string property type used to change a string value of a template (HTTP, HTTPS, NNTP, FTP, POP3, SQL, IMAP, RADIUS, LDAP, WMI, SIP).
STYPE_RUN	6	The string property specifying the name of the executeable file run in an external monitor. Monitor executable files are officially managed as external monitor file objects via the STYPE_RUN_V2 property and the System::ExternalMonitorFile interface, so this value is deprecated.
STYPE_NEWSGROUP	7	The string property type used to change a string value of a template (NNTP).
STYPE_DATABASE	8	The string property type used to change a string value of a template (SQL).
STYPE_DOMAIN	9	The string property type used to change a string value of a template (SMTP).
STYPE_ARGUMENTS	10	The string property type used to change a string value of a template (EXTERNAL).
STYPE_FOLDER	11	The string property type used to change a string value of a template (IMAP).
STYPE_BASE	12	The string property type used to change a string value of a template (LDAP).
STYPE_FILTER	13	The string property type used to change a string value of a template (LDAP, SIP).
STYPE_SECRET	14	The string property type used to change a string value of a template (RADIUS, RADIUS_ACCOUNTING).
STYPE_METHOD	15	The string property type used to change a string value of a template (WMI, REAL_SERVER).
STYPE_URL	16	The string property type used to change a string value of a template (WMI).
STYPE_COMMAND	17	The string property type used to change a string value of a template (WMI, REAL_SERVER).
STYPE_METRICS	18	The string property type used to change a string value of a template (WMI, REAL_SERVER).
STYPE_POST	19	The string property type used to change a string value of a template (WMI).
STYPE_USERAGENT	20	The string property type used to change a string value of a template (WMI, REAL_SERVER).
STYPE_AGENT_TYPE	21	The string property type used to change a string value of a template (SNMP_DCA).
STYPE_CPU_COEFFICIENT	22	The string property type used to change a string value of a template (SNMP_DCA).
STYPE_CPU_THRESHOLD	23	The string property type used to change a string value of a template (SNMP_DCA).
STYPE_MEMORY_COEFFICIENT	24	The string property type used to change a string value of a template (SNMP_DCA).
STYPE_MEMORY_THRESHOLD	25	The string property type used to change a string value of a template (SNMP_DCA).
STYPE_DISK_COEFFICIENT	26	The string property type used to change a string value of a template (SNMP_DCA).
STYPE_DISK_THRESHOLD	27	The string property type used to change a string value of a template (SNMP_DCA).
STYPE_SNMP_VERSION	28	The string property type used to change a string value of a template (SNMP_DCA, SNMP_DCA_BASE, MODULE_SCORE).
STYPE_COMMUNITY	29	The string property type used to change a string value of a template (SNMP_DCA, SNMP_DCA_BASE, MODULE_SCORE).
STYPE_SEND_PACKETS	30	This string property type is no longer effective and must be considered deprecated.
STYPE_TIMEOUT_PACKETS	31	This string property type is no longer effective and must be considered deprecated.
STYPE_RECEIVE_DRAIN	32	The string property type used to disable new sessions upon a match (also known as "receive disable").
STYPE_RECEIVE_ROW	33	The string property type used in database template.
STYPE_RECEIVE_COLUMN	34	The string property type used in database template.
STYPE_DEBUG	35	The string property type used to enable EAV logging.
STYPE_SECURITY	36	The string property type used in LDAP template.
STYPE_MODE	37	The string property type used to indicate UDP's passive mode or port.
STYPE_CIPHER_LIST	38	The string property type used to represent the HTTPS and SIPS cipher list.
STYPE_NAMESPACE	39	The string property type used to represent the namespace used in the SOAP template.
STYPE_PARAMETER_NAME	40	The string property type used to represent the method's parameter name used in the SOAP template.
STYPE_PARAMETER_VALUE	41	The string property type used to represent the method's parameter value used in the SOAP template.
STYPE_PARAMETER_TYPE	42	The string property type used to represent the method's parameter type used in the SOAP template.
STYPE_RETURN_TYPE	43	The string property type used to represent the return type used in the SOAP template.
STYPE_RETURN_VALUE	44	The string property type used to represent the return value used in the SOAP template.
STYPE_SOAP_FAULT	45	The string property type used to represent the soap fault used in the SOAP template.
STYPE_SSL_OPTIONS	46	The string property type used to represent the HTTPS compatibility mode.
STYPE_CLIENT_CERTIFICATE	47	The string property specifying the name of the certificate file used by an HTTPS or SIP monitor. Certificate files are officially managed as certificate file objects via the STYPE_CLIENT_CERTIFICATE_V2 property and the Management::KeyCertificate interface. Thus this value has been deprecated.
STYPE_PROTOCOL	48	The string property type used to represent the protocol.
STYPE_MANDATORY_ATTRS	49	The string property type used by the LDAP monitor.
STYPE_FILENAME	50	The string property type used by the Scripted monitor.
STYPE_ACCOUNTING_NODE	51	The string property type used by the WAP monitor for RADIUS accounting.
STYPE_ACCOUNTING_PORT	52	The string property type used by the WAP monitor for RADIUS accounting.
STYPE_SERVER_ID	53	The string property type used by the WAP monitor for RADIUS accounting.
STYPE_CALL_ID	54	The string property type used by the WAP monitor for RADIUS accounting.
STYPE_SESSION_ID	55	The string property type used by the WAP monitor for RADIUS accounting.
STYPE_FRAMED_ADDRESS	56	The string property type used by the WAP monitor for RADIUS accounting.
STYPE_PROGRAM	57	The string property type used by the RPC monitor.
STYPE_VERSION	58	The string property type used by the RPC monitor.
STYPE_SERVER	59	The string property type used by the WAP monitor for RADIUS accounting.
STYPE_SERVICE	60	The string property type used by the SMB monitor.
STYPE_GW_MONITOR_ADDRESS	61	The string property used by the SASP monitor.
STYPE_GW_MONITOR_SERVICE	62	The string property used by the SASP monitor.
STYPE_GW_MONITOR_INTERVAL	63	The string property used by the SASP monitor.
STYPE_GW_MONITOR_PROTOCOL	64	The string property used by the SASP monitor.
STYPE_DB_COUNT	65	The string property type used by the DB templates to determine how to treat the database connection (0 means keep open forever, >0 means keep open for that many monitor instances (1 = close every time)).
STYPE_REQUEST	66	The string property type used to change a string value of a template (SIP).
STYPE_HEADERS	67	The string property type used to change a string value of a template (SIP).
STYPE_FILTER_NEG	68	The string property type used to change a string value of a template (SIP).
STYPE_SERVER_IP	69	The string property type used by the MODULE_SCORE monitor.
STYPE_SNMP_PORT	70	The string property type used by the MODULE_SCORE monitor.
STYPE_POOL_NAME	71	The string property type used by the MODULE_SCORE and VIRTUAL_LOCATION monitors.
STYPE_NAS_IP	72	String property for the NAP IP address used for monitoring RADIUS and RADIUS_ACCOUNTING monitors
STYPE_CLIENT_KEY	73	The string property specifying the name of the certificate key file used by an HTTPS or SIP monitor. Certificate key files are officially managed as certificate key file objects via the STYPE_CLIENT_KEY_V2 property and the Management::KeyCertificate interface. Thus this value has been deprecated.
STYPE_MAX_LOAD_AVERAGE	74	String property for the maximum load average for monitoring Firepass servers
STYPE_CONCURRENCY_LIMIT	75	String property for the concurrency limit for monitoring Firepass servers
STYPE_FAILURES	76	String property for inband monitors giving the number of failures within the failure interval required to mark a server as down (default )
STYPE_FAILURE_INTERVAL	77	String property for inband monitors giving the interval in which a number of failure must be seen to mark a server as down (default )
STYPE_RESPONSE_TIME	78	String property for inband monitors giving the time for an application to fail to respond before a failure is counted (default 0)
STYPE_RETRY_TIME	79	String property for inband monitors giving the time to wait after a server is marked down before retrying (default: 0)
STYPE_DIAMETER_ACCT_APPLICATION_ID	80	Diameter monitor string property for the ID of the Accounting portion of a Diameter application, advertising its support. If specified, the Auth-Application-Id must be specified also, and the Vendor-Specific-Acct-Application-Id must not be specified. (default: 0)
STYPE_DIAMETER_AUTH_APPLICATION_ID	81	Diameter monitor string property for the ID of the Authentication and Authorization portion of a Diameter application, advertising its support. If specified, the Acct-Application-Id must be specified also, and the Vendor-Specific-Auth-Application-Id must not be specified. (default: 0)
STYPE_DIAMETER_ORIGIN_HOST	82	Diameter monitor string property for the IP address of the Diameter message originator. (default: none)
STYPE_DIAMETER_ORIGIN_REALM	83	Diameter monitor string property for the Realm of the Diameter message originator. (default: f5.com)
STYPE_DIAMETER_HOST_IP_ADDRESS	84	Diameter monitor string property for the sender's IP address, used for Diameter peer discovery. (default: none)
STYPE_DIAMETER_VENDOR_ID	85	Diameter monitor string property for the IANA SMI Network Management Private Enterprise Codes value assigned to the vendor of the Diameter application. (default: 0)
STYPE_DIAMETER_PRODUCT_NAME	86	Diameter monitor string property for the vendor assigned name for the Diameter application. The Product-Name SHOULD remain constant across firmware revisions for the same product. (default: F5 BIGIP Diameter Health Monitoring)
STYPE_DIAMETER_VENDOR_SPECIFIC_VENDOR_ID	87	Diameter monitor string property for the ID for a vendor-specific Diameter application, advertising its support. (default: 0)
STYPE_DIAMETER_VENDOR_SPECIFIC_ACCT_APPLICATION_ID	88	Diameter monitor string property for the ID of the vendor-specific Accounting portion of a Diameter application, advertising its support. If specified, the Vendor-Specific-Auth-Application-Id must also be specified, and Acct-Application-Id must not be specified. (default: 0)
STYPE_DIAMETER_VENDOR_SPECIFIC_AUTH_APPLICATION_ID	89	Diameter monitor string property for the ID of the vendor-specific Authentication and Authorization portion of a Diameter application, advertising its support. If specified, Vendor-Specific-Acct-Application-Id must also be specified, and Auth-Application-Id must not be specfied. (default: 0)
STYPE_RUN_V2	90	The string property specifying the name of the external monitor file object for the executeable file run in an external monitor. External monitor file objects are managed by the System::ExternalMonitorFile interface. External monitor file names may still be directly managed via the STYPE_RUN property.
STYPE_CLIENT_CERTIFICATE_V2	91	The string property specifying the name of the certificate file object for the certificate file used by an HTTPS or SIP monitor. Certificate file objects are managed by the Management::KeyCertificate interface. Certificate file names may still be directly managed via the STYPE_CLIENT_CERTIFICATE property.
STYPE_CLIENT_KEY_V2
EOF
puts x.split("\n").map{|l| l.split.first}.join(' ')